org.eclipse.cdt.core.dom.ast.cpp

## Interface ICPPMember

All Superinterfaces:
  org.eclipse.core.runtime.IAdaptable, IBinding, ICPPBinding

All Known Subinterfaces:
  ICPPConstructor, ICPPConstructorSpecialization, ICPPField, ICPPFieldTemplate, ICPPMethod, ICPPMethodSpecialization

    public interface ICPPMember
    extends ICPPBinding

Represents a member of a class. Adds in the visibility attribute.

Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

### Field Summary

Fields
`static int` `v_private`
`static int` `v_protected`
`static int` `v_public`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IBinding

`EMPTY_BINDING_ARRAY`

### Method Summary

All Methods Instance Methods Abstract Methods
`ICPPClassType` `getClassOwner()` Same as `IBinding.getOwner()`.
`IType` `getType()` Returns the type of the member (function type or type of field)
`int` `getVisibility()` Returns the accessibility of the member.
`boolean` `isStatic()` Returns whether this is a static member or not.

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.cpp.ICPPBinding

`getQualifiedName, getQualifiedNameCharArray, isGloballyQualified`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IBinding

`getLinkage, getName, getNameCharArray, getOwner, getScope`

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Field Detail

#### v_private

    static final int v_private

See Also:
  Constant Field Values

#### v_protected

    static final int v_protected

See Also:
  Constant Field Values

#### v_public

    static final int v_public

See Also:
  Constant Field Values

### Method Detail

#### getVisibility

    int getVisibility()

Returns the accessibility of the member.

#### getClassOwner

    ICPPClassType getClassOwner()

Same as `IBinding.getOwner()`.

#### isStatic

    boolean isStatic()

Returns whether this is a static member or not.

Since:
  5.1

#### getType

    IType getType()
           throws DOMException

Returns the type of the member (function type or type of field)

Throws:
  `DOMException`
Since:
  5.1